Subject: [manet] [Technical Errata Reported] RFC5444 (3496)

From: RFC Errata System <[email-masked]>
Date: Mon, 25 Feb 2013 07:17:05 -0800 (PST)

The following errata report has been submitted for RFC5444,
"Generalized Mobile Ad Hoc Network (MANET) Packet/Message Format".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5444&eid=3496

--------------------------------------
Type: Technical
Reported by: Christopher Dearlove <[email-masked]>

Section: Appendix A

Original Text
-------------
   o  The <pkt-seq-num> field, if present, contains a sequence number
      that is incremented by 1 for each packet generated by a node.  The
      sequence number after 65535 is 0.  In other words, the sequence
      number "wraps" in the usual way.

Corrected Text
--------------
   o  The <pkt-seq-num> field, if present, contains a sequence number
      that SHOULD be maintained for each participating interface and
      incremented by 1 for each packet generated by a node for that
      interface.  The sequence number after 65535 is 0.  In other words,
      the sequence number "wraps" in the usual way.

Notes
-----
Packet sequence number should be per interface, not per node. Uses that recognise missing packet sequence numbers only work in the corrected (intended) case.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5444 (draft-ietf-manet-packetbb-17)
--------------------------------------
Title               : Generalized Mobile Ad Hoc Network (MANET) Packet/Message Format
Publication Date    : February 2009
Author(s)           : T. Clausen, C. Dearlove, J. Dean, C. Adjih
Category            : PROPOSED STANDARD
Source              : Mobile Ad-hoc Networks
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 25 Feb 2013 15:47:51 +0000

I agree with the update

AB

On Mon, Feb 25, 2013 at 3:17 PM, RFC Errata System <
[email-masked]> wrote:

> Packet sequence number should be per interface, not per node. Uses that
> recognise missing packet sequence numbers only work in the corrected
> (intended) case.
>
> Instructions:
> -------------
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 25 Feb 2013 15:39:39 +0000

+1

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 26 Feb 2013 14:09:50 +0000

Hi Chris, and All

Does the changes in RFC5444 will affect other RFCs or protocols? we need to
discuss this through, because many depend on RFC5444, and we did not
understand the authors suggestions as they are the experts of the work,

AB

---

From: Henning Rogge <[email-masked]>
Date: Tue, 26 Feb 2013 15:22:15 +0100

On 02/26/2013 03:09 PM, Abdussalam Baryun wrote:
> Hi Chris, and All Does the changes in RFC5444 will affect other RFCs
> or protocols? we need to discuss this through, because many depend on
> RFC5444,

> and we did not understand the authors suggestions

maybe you intended to write "I did not understand..." ?

 > as they are the experts of the work, AB

Allow me to quote myself from yesterday...

On 02/25/2013 06:17 PM, Henning Rogge wrote:
> I think you are trying to make an issue out of nothing.
>
> First, the errata is a SHOULD, which means that any proprietary
> protocol can do whatever it likes.
>
> Second, neither DYMO nor NHDP nor OLSRv2 nor DLEP (which was using
> RFC5444 for some time) uses packet sequence numbers.
>
> In fact the only draft I remember which used RFC5444 packet sequence
> numbers was the "funkfeuer ETX" draft, which explicitly specified
> that the packet sequence numbers had to be interface specific to use
> this ETX variant.

Henning Rogge

-- 
Diplom-Informatiker Henning Rogge , Fraunhofer-Institut für
Kommunikation, Informationsverarbeitung und Ergonomie FKIE
Kommunikationssysteme (KOM)
Fraunhofer Straße 20, 53343 Wachtberg, Germany
Telefon +49 228 9435-961,   Fax +49 228 9435 685
mailto:[email-masked] http://www.fkie.fraunhofer.de

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 26 Feb 2013 15:00:06 +0000

I like that protocols use the packet sequence number, if thoes protocols
you refered to don't use the packet SQN, then I recommend they reconsider.
I was always interested in the funkfeuer ETX" draft I even asked you to
start it again but never seen your announcement of new draft, still waiting,

As you know, I may use WE or I when I discuss, you never know how many
machines are with me while I am participating (on their behalf
sometimes) from my room :-)

AB

On Tue, Feb 26, 2013 at 2:22 PM, Henning Rogge <
[email-masked]> wrote:

> mailto:henning.rogge@fkie.**fraunhofer.de<[email-masked]>
> http://www.fkie.fraunhofer.de
>
>

---

From: Thomas Heide Clausen <[email-masked]>
Date: Tue, 26 Feb 2013 16:13:12 +0100

On 26 févr. 2013, at 16:00, Abdussalam Baryun <[email-masked]> wrote:

> I like that protocols use the packet sequence number, if thoes protocols you refered to don't use the packet SQN, then I recommend they reconsider.

Why?

"Like" is not a technical argument.

Thomas

> I was always interested in the funkfeuer ETX" draft I even asked you to start it again but never seen your announcement of new draft, still waiting,
>  
> As you know, I may use WE or I when I discuss, you never know how many machines are with me while I am participating (on their behalf sometimes) from my room :-)
>  
> AB
> 
> On Tue, Feb 26, 2013 at 2:22 PM, Henning Rogge <[email-masked]> wrote:

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Tue, 26 Feb 2013 15:20:09 +0000

If you can find someone who chose to implement something on a router with multiple interfaces, who used packet sequence numbers, relied on them being sequential in order to track missing packets,  used the false indication missing packets in a significant way, implemented the packet sequence numbers as suggested (but not mandated) in RFC 5444 without either thinking through the consequences or noticing that this was different to the prior art of RFC 3626, had a problem as a result, but didn't even mention any of this here, then yes, that person had a problem.

Otherwise, i.e. in reality, no.

--
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

From: [email-masked] [mailto:[email-masked]] On Behalf Of Abdussalam Baryun
Sent: 26 February 2013 14:10
To: manet
Cc: Dearlove, Christopher (UK)
Subject: Re: [manet] [Technical Errata Reported] RFC5444 (3496)

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
Hi Chris, and All

Does the changes in RFC5444 will affect other RFCs or protocols? we need to discuss this through, because many depend on RFC5444, and we did not understand the authors suggestions as they are the experts of the work,

AB
On Mon, Feb 25, 2013 at 3:17 PM, RFC Errata System <[email-masked]<mailto:[email-masked]>> wrote:

--------------------------------------
Type: Technical
Reported by: Christopher Dearlove <[email-masked]<mailto:[email-masked]>>

Section: Appendix A

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------

[email-masked]<mailto:[email-masked]>

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 26 Feb 2013 15:49:57 +0000

> "Like" is not a technical argument.
I agree that it not a technical word, but also agree that *like* can be
used in technical volunteer discussions. For example; Why OLSRv2 protocol
does not use the packet sequence number SQN? does it accept random packets
and ignore to sense sequence packets? Why the designers like it to be that
way? Why does AB like protocols to sense SQN?

My technical answer is better if it got into a technical draft, however, if
a protocol senses the SQN it will be more rebust and more organised
in MANET communication.

AB

---

From: Thomas Clausen <[email-masked]>
Date: Tue, 26 Feb 2013 16:54:29 +0100

On Feb 26, 2013, at 4:49 PM, Abdussalam Baryun <[email-masked]> wrote:

> On Tue, Feb 26, 2013 at 3:13 PM, Thomas Heide Clausen <[email-masked]> wrote:
> 
> I agree that it not a technical word, but also agree that *like* can be used in technical volunteer discussions. For example; Why OLSRv2 protocol does not use the packet sequence number SQN? does it accept random packets and ignore to sense sequence packets? Why the designers like it to be that way? Why does AB like protocols to sense SQN?

It's not a "like"; it's because OLSRv2 has no technical use for it.

>  My technical answer is better if it got into a technical draft, however, if a protocol senses the SQN it will be more rebust and more organised in MANET communication.

This is not true.

Thomas

---

From: Henning Rogge <[email-masked]>
Date: Tue, 26 Feb 2013 16:56:29 +0100

On Tue, Feb 26, 2013 at 4:49 PM, Abdussalam Baryun
<[email-masked]> wrote:
> I agree that it not a technical word, but also agree that *like* can be used
> in technical volunteer discussions. For example; Why OLSRv2 protocol does
> not use the packet sequence number SQN? does it accept random packets and
> ignore to sense sequence packets? Why the designers like it to be that way?
> Why does AB like protocols to sense SQN?

Because OLSRv2 only deals with messages which are flooded through the
network. Which is the reason it use MESSAGE sequence-numbers to detect
valid incoming messages.

Packet sequence-numbers are only "hop by hop"... OLSRv2 has no direct
use for them.

Henning Rogge

-- 
We began as wanderers, and we are wanderers still. We have lingured
long enough on the shores of the cosmic ocean. We are ready at last to
set sail for the stars - Carl Sagan

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Tue, 26 Feb 2013 15:57:19 +0000

NHDP has made it to RFC, and OLSRv2 has made it to one AD short of RFC - and not for any related reason - without anyone thinking "we really should use that because it might be there - though it also might not". Which suggests your technical answer is wrong. And anyway, procedurally it's multiple steps too late.

From: [email-masked] [mailto:[email-masked]] On Behalf Of Abdussalam Baryun
Sent: 26 February 2013 15:50
To: Thomas Heide Clausen
Cc: [email-masked]
Subject: Re: [manet] [Technical Errata Reported] RFC5444 (3496)

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
On Tue, Feb 26, 2013 at 3:13 PM, Thomas Heide Clausen <[email-masked]<mailto:[email-masked]>> wrote:

On 26 févr. 2013, at 16:00, Abdussalam Baryun <[email-masked]<mailto:[email-masked]>> wrote:
I like that protocols use the packet sequence number, if thoes protocols you refered to don't use the packet SQN, then I recommend they reconsider.

Why?

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 26 Feb 2013 16:00:02 +0000

There is no harm in discussing, issues related to NHDP or RFC5444, or
erratas, even after they were publish as we all know they are Request For
Comments,

AB

On Tue, Feb 26, 2013 at 3:57 PM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

>  NHDP has made it to RFC, and OLSRv2 has made it to one AD short of RFC -
> and not for any related reason - without anyone thinking "we really should
> use that because it might be there - though it also might not". Which
> suggests your technical answer is wrong. And anyway, procedurally it's
> multiple steps too late.****
>
> ** **
>
> -- ****
>
> Christopher Dearlove****
>
> Tel: +44 1245 242194 |  Fax: +44 1245 242124****
>
> [email-masked] | http://www.baesystems.com
>
> Registered in England & Wales No: 1996687****
>
> ** **
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf
> Of *Abdussalam Baryun
> *Sent:* 26 February 2013 15:50
> *To:* Thomas Heide Clausen
> *Cc:* [email-masked]
>
> *Subject:* Re: [manet] [Technical Errata Reported] RFC5444 (3496)****
>
> ** **
>
> ** **
>
> **** WARNING ****
>
> *This message originates from outside our organisation, either from an
> external partner or the internet.**
> Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>on how to deal with suspicious emails.
> *****
>
> [email-masked]> wrote:****
>
> ** **
>
> On 26 févr. 2013, at 16:00, Abdussalam Baryun <[email-masked]>
> wrote:****
>
> ****
>  ** **
> Why?****
> ** **
> "Like" is not a technical argument.****
>
> ** **
>
>  ****
>
> way? Why does AB like protocols to sense SQN?****
>
>  ****
>
> My technical answer is better if it got into a technical draft, however,
> if a protocol senses the SQN it will be more rebust and more organised
> in MANET communication.****
>
>  ****
>
> AB****
>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Tue, 26 Feb 2013 16:06:12 +0000

It's a waste of time beating a dead horse. Make a comment, if no one responds, it doesn't have traction. This doesn't appear to have traction. And will only even start to get it is someone other than you makes a comment.

From: Abdussalam Baryun [mailto:[email-masked]]
Sent: 26 February 2013 16:00
To: Dearlove, Christopher (UK)
Cc: Thomas Heide Clausen; [email-masked]
Subject: Re: [manet] [Technical Errata Reported] RFC5444 (3496)

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
There is no harm in discussing, issues related to NHDP or RFC5444, or erratas, even after they were publish as we all know they are Request For Comments,

AB
On Tue, Feb 26, 2013 at 3:57 PM, Dearlove, Christopher (UK) <[email-masked]<mailto:[email-masked]>> wrote:
NHDP has made it to RFC, and OLSRv2 has made it to one AD short of RFC - and not for any related reason - without anyone thinking "we really should use that because it might be there - though it also might not". Which suggests your technical answer is wrong. And anyway, procedurally it's multiple steps too late.

Tel: +44 1245 242194<tel:%2B44%201245%20242194> |  Fax: +44 1245 242124<tel:%2B44%201245%20242124>

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Abdussalam Baryun
Sent: 26 February 2013 15:50
To: Thomas Heide Clausen
Cc: [email-masked]<mailto:[email-masked]>

*** WARNING ***

Why?

AB

---

From: Daniel He <[email-masked]>
Date: Tue, 26 Feb 2013 16:10:40 +0000

It is no good to discuss on the mailing list if it is not technical
relevant. Otherwise, we received too many useless emails without any
technical information. It is not a BBS
website.

On 26 February 2013 16:00, Abdussalam Baryun <[email-masked]>wrote:

>>  NHDP has made it to RFC, and OLSRv2 has made it to one AD short of RFC
>> - and not for any related reason - without anyone thinking "we really
>> should use that because it might be there - though it also might not".
>> Which suggests your technical answer is wrong. And anyway, procedurally
>> it's multiple steps too late.****
>>
>> ** **
>>
>> -- ****
>>
>> Christopher Dearlove****
>>
>> *From:* [email-masked] [mailto:[email-masked]] *On
>> Behalf Of *Abdussalam Baryun
>>  I like that protocols use the packet sequence number, if thoes
>> protocols you refered to don't use the packet SQN, then I recommend they
>> reconsider.****
>>
>>  ** **
>>
>> Why?****
>>
>> ** **
>>

-- 
Dan He
---------------------
openstack contributor
GPU stream programming

http://wiki.openstack.org/Contributors

Tel: +44-788-686-3428

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 1 Mar 2013 08:07:52 +0100

I think errata suitable for editorials not serious technical change, I
think I will need to review the RFC5444 and RFC6130 to make sure all
consistent, comments below,

Questions for discussion below,

AB

> Corrected Text

what you mean by *participating interface* do you mean NHDP-RFC6130,
how does the interface maintain such number? is there an answer in any
MANET doc?

> recognise missing packet sequence numbers only work in the corrected

Why you say SHOULD not MUST, or RECOMMENDED, please advise,

AB